Subject: symlink() is not working on Windows XP

Description

That means, that the requirements since alpha14 are Windows Vista, Server 2008 or greater (
http://de.php.net/manual/en/function.symlink.php).

Maybe this should be mentioned somewhere in the documentation? Or at some more distinguished place?
Happy Christmas! :-)

Related issues:

related to TYPOS.Flow - Task # 8056: Remove configuration option for mirrorMode Closed
related to TYPOS.Flow - Bug # 33968: Missing privileges to create symlinks in... Closed 2012-02-16
related to TYPOS.Flow - Bug # 35935: Symlinks still don't work reliably under... Closed 2012-04-13

Associated revisions

Revision 0c539bd6 - 2011-08-04 16:05 - Robert Lemke
[TASK] Require Windows 6.0 or higher

The use of symlinks in FLOWS is an essential feature. Without
it, certain parts of the caching and resource management would

be unacceptably slow.

Therefore the minimum requirement on Windows platforms is now
Windows Vista, Windows Server 2008 or higher.

This change set also makes sure that all code parts in the Bootstrap

which exit do send a correct exit code.

Change-Id: 14e75a8351174ad68bde83101373f6a509c059043
Resolves: #11683

History

#1 - 2011-03-17 13:18 - Robert Lemke
- Target version set to 1.0 beta 1

#2 - 2011-04-29 21:41 - Karsten Dambekalns
- Status changed from New to Needs Feedback
- Assigned To set to Karsten Dambekalns

Should we just make symlink support for Windows a requirement, get rid of XP and drop the mirrorMode configuration option without looking back?
| give a definitive +1 :)

#3 - 2011-05-02 10:38 - Irene Hoppner

Getting rid of XP is definitly a +1 :-) (http://support.microsoft.com/lifecycle/?p1=3223).

Another thing, that hurts more, is getting rid of Server 2003 (http://support.microsoft.com/lifecycle/?p1=3198), but since virtualization is kind of standard

now | would give that a +1 as well.

#4 - 2011-05-02 10:43 - Bastian Waidelich

IIRC symlinks should work on Windows XP too - at least on a NTFS based file system

#5 - 2011-05-05 11:36 - Irene Hoppner

Yes, filesystem based you can use symlinks on XP - at least after installing some tool. But the php-function symlink() causes the error "Fatal error:
Call to undefined function symlink()".
Tested on an XP with PHP 5.3.1 where symlinks in the filesystem are in use.

However, I'm not sure... if maybe some workaround can be found...

#6 - 2011-06-19 01:28 - Simon Schaufelberger

There are still many Windows XP users out in the world that develop apps locally on xp and then push them out to a linux server. Not every developer
uses Mac :D Win XP will still be alive for many years even though support from Microsoft will not be available any more. There will be users who will
not just upgrade to a newer Windows if they love XP :D

Please don't ignore XP users!

By the way: @Irene: What "tool" do you mean?

#7 - 2011-08-04 08:41 - Sebastian Kurfuerst

- Target version changed from 1.0 beta 1 to 1.0 beta 2

#8 - 2011-08-04 15:21 - Mr. Hudson

- Status changed from Needs Feedback to Under Review

Patch set 1 of change 14e75a8351174ad68bde83101373f6a50b9c059043 has been pushed to the review server.
It is available at http://review.typo3.org/4108

#9 - 2011-08-04 15:31 - Robert Lemke

- Category changed from - Documentation - to Core

- Assigned To changed from Karsten Dambekalns to Robert Lemke
- Target version changed from 1.0 beta 2 to 1.0 beta 1

#10 - 2011-08-04 16:05 - Mr. Hudson

Patch set 2 of change 14e75a8351174ad68bde83101373f6a50b9c059043 has been pushed to the review server.
It is available at http://review.typo3.org/4108

#11 - 2011-08-04 21:35 - Simon Schaufelberger

If you don't provide the functionality, that it also works on XP without any workarounds in the Code, then PLEASE document at least some

workarounds with external tools that provide the functionalty of symlinks for Win XP!

The extended support of XP goes until 2014 ;)

#12 - 2011-08-04 22:48 - Irene Héppner

@Simon: Use a virtual machine with linux :-).

#13 - 2011-08-05 17:05 - Robert Lemke
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:0c539bd6d920ff656531da85fa87619ee7150648.
